package proc;

import java.util.ArrayList;

public class ProcProbSum extends Proc {
	public String label;
	ArrayList<ProbOfProc> dist;

	public ProcProbSum(String label, ArrayList<ProbOfProc> dist) {
		this.type = PROBSUM;
		this.label = label;
		this.dist = dist;
	}

	public String toString() {
		String s = label + ":(";
		for(int i = 0; i < dist.size(); i++)
			s += (i > 0 ? ", " : "") + dist.get(i);
		s += ")";
		return s;
	}

	public ArrayList<Transition> transitions() {
		if(trans != null) return trans;
		
		trans = new ArrayList<Transition>();
		trans.add(new Transition(label, "tau", false, dist));
		
		return trans; 
	}
}

